From: Russ Allbery <rra@debian.org>
Date: Sun, 16 Mar 2014 16:41:25 -0700
Subject: Remove references to omitted schema files

Some schema files are under a non-DFSG license and therefore aren't
installed in the Debian package or included in the source package.
Remove the references to them in the build system and schema catalog.

The WS-Trust license doesn't allow mentioning the names of its authors.
The other licenses don't permit arbitrary modification.
---
 schemas/Makefile.am    | 9 +--------
 schemas/catalog.xml.in | 4 +++-
 2 files changed, 4 insertions(+), 9 deletions(-)

diff --git a/schemas/Makefile.am b/schemas/Makefile.am
index 1d48507..3ffd6db 100644
--- a/schemas/Makefile.am
+++ b/schemas/Makefile.am
@@ -13,14 +13,7 @@ schemafiles = \
     shibboleth-2.0-afp-mf-basic.xsd \
     shibboleth-2.0-afp-mf-saml.xsd \
     shibboleth-2.0-attribute-map.xsd \
-    WS-Trust.xsd \
-    MetadataExchange.xsd \
-    oasis-200401-wss-wssecurity-secext-1.0.xsd \
-    oasis-200401-wss-wssecurity-utility-1.0.xsd \
-    ws-addr.xsd \
-    ws-authorization.xsd \
-    ws-federation.xsd \
-    ws-securitypolicy-1.2.xsd
+    ws-addr.xsd
     
 
 pkgxml_DATA = \
diff --git a/schemas/catalog.xml.in b/schemas/catalog.xml.in
index 69fb26a..d4095f5 100644
--- a/schemas/catalog.xml.in
+++ b/schemas/catalog.xml.in
@@ -10,12 +10,14 @@
     <system systemId="urn:mace:shibboleth:2.0:afp:mf:saml" uri="@-PKGXMLDIR-@/shibboleth-2.0-afp-mf-saml.xsd"/>
     <system systemId="urn:mace:shibboleth:2.0:attribute-map" uri="@-PKGXMLDIR-@/shibboleth-2.0-attribute-map.xsd"/>
     <system systemId="urn:mace:shibboleth:1.0" uri="@-PKGXMLDIR-@/shibboleth.xsd"/>
+  <!-- These schema files have been removed from the Debian package because of license problems
     <system systemId="http://schemas.xmlsoap.org/ws/2005/02/trust" uri="@-PKGXMLDIR-@/WS-Trust.xsd"/>
     <system systemId="http://schemas.xmlsoap.org/ws/2004/09/mex" uri="@-PKGXMLDIR-@/MetadataExchange.xsd"/>
     <system systemId="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" uri="@-PKGXMLDIR-@/oasis-200401-wss-wssecurity-secext-1.0.xsd"/>
     <system systemId="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" uri="@-PKGXMLDIR-@/oasis-200401-wss-wssecurity-utility-1.0.xsd"/>
-    <system systemId="http://www.w3.org/2005/08/addressing" uri="@-PKGXMLDIR-@/ws-addr.xsd"/>
     <system systemId="http://docs.oasis-open.org/wsfed/authorization/200706" uri="@-PKGXMLDIR-@/ws-authorization.xsd"/>
     <system systemId="http://docs.oasis-open.org/wsfed/federation/200706" uri="@-PKGXMLDIR-@/ws-federation.xsd"/>
     <system systemId="http://docs.oasis-open.org/ws-sx/ws-securitypolicy/200702" uri="@-PKGXMLDIR-@/ws-securitypolicy-1.2.xsd"/>
+   -->
+    <system systemId="http://www.w3.org/2005/08/addressing" uri="@-PKGXMLDIR-@/ws-addr.xsd"/>
 </catalog>
